# Record Class SourceCodeAnalysis.Highlight

java.lang.Object
java.lang.Record
jdk.jshell.SourceCodeAnalysis.Highlight

Record Components:
  `start` - the starting position of the span
  `end` - the ending position of the span
  `attributes` - the attributes assigned to the span

Enclosing class:
  `SourceCodeAnalysis`

public static record SourceCodeAnalysis.Highlight(int start, int end, Set<SourceCodeAnalysis.Attribute> attributes) extends Record
Assigns attributes usable for coloring to spans inside a snippet.

Since:
  19

## Constructor Summary

Constructors
Constructor
Description
`Highlight(int start, int end, Set<SourceCodeAnalysis.Attribute> attributes)`
Creates an instance of a `Highlight` record class.

## Method Summary

Modifier and Type
Method
Description
`Set<SourceCodeAnalysis.Attribute>`
`attributes()`
Returns the value of the `attributes` record component.
`int`
`end()`
Returns the value of the `end` record component.
`final boolean`
`equals(Object o)`
Indicates whether some other object is "equal to" this one.
`final int`
`hashCode()`
Returns a hash code value for this object.
`int`
`start()`
Returns the value of the `start` record component.
`final String`
`toString()`
Returns a string representation of this record class.

### Methods declared in class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Highlight

public Highlight(int start, int end, Set<SourceCodeAnalysis.Attribute> attributes)
Creates an instance of a `Highlight` record class.

Parameters:
  `start` - the value for the `start` record component
  `end` - the value for the `end` record component
  `attributes` - the value for the `attributes` record component

## Method Details

### toString

public final String toString()
Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.

Specified by:
  `toString` in class `Record`
Returns:
  a string representation of this object
See Also:
  - `Object.toString()`

### hashCode

public final int hashCode()
Returns a hash code value for this object. The value is derived from the hash code of each of the record components.

Specified by:
  `hashCode` in class `Record`
Returns:
  a hash code value for this object
See Also:
  - `Object.hashCode()`

### equals

public final boolean equals(Object o)
Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with the `compare` method from their corresponding wrapper classes.

Specified by:
  `equals` in class `Record`
Parameters:
  `o` - the object with which to compare
Returns:
  `true` if this object is the same as the `o` argument; `false` otherwise.
See Also:
  - `Objects.equals(Object,Object)`

### start

public int start()
Returns the value of the `start` record component.

Returns:
  the value of the `start` record component

### end

public int end()
Returns the value of the `end` record component.

Returns:
  the value of the `end` record component

### attributes

public Set<SourceCodeAnalysis.Attribute> attributes()
Returns the value of the `attributes` record component.

Returns:
  the value of the `attributes` record component